<%@ page language="java" contentType="text/html;charset=utf-8"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj"%>
<html:html locale="true">
<%@ include file="../common/begin.jsp"%>
<body class="content">
<html:form action="/ApplyJonasServersClusterDaemon">
  <meta http-equiv="refresh" content="10"
    ; URL="DaemonProxyClusterInfo.do">
  <html:hidden property="action" />
  <bean:define id="cdName" name="daemonProxyClusterForm" property="name" />
  <sj:titleContent usingWhere="true" tomThumb="true" />
  <sj:tabs usingWhere="true" heightTab="20">
    <sj:tab forward="ActionEditDomain">
      <bean:message key="tab.domain" />
    </sj:tab>
    <sj:tab forward="ActionDaemonProxyClusterInfo" selected="true">
      <!--Write the clusterd name as tab title-->
      <bean:write name="cdName" />
    </sj:tab>
    <sj:panel>
      <!-- cluster daemon properties -->
      <sj:jonasgrid>
        <sj:jgRowTitle>
          <sj:jgColTitle>
            <bean:message key="label.domain.serverCld" />
            <bean:message key="title.global" />
            <bean:message key="label.domain.properties" />
          </sj:jgColTitle>
        </sj:jgRowTitle>
      </sj:jonasgrid>

      <logic:equal name="daemonProxyClusterForm" property="state"
        value="RUNNING">
        <sj:jonasgrid>
          <!--Writting the title named "Global"-->
          <sj:gridrow>
            <!--label.domain.name==name-->
            <sj:jgName>
              <bean:message key="label.domain.name" />
            </sj:jgName>
            <sj:jgValue>
              <bean:write name="daemonProxyClusterForm" property="name" />
            </sj:jgValue>
          </sj:gridrow>
          <!-- The clusterd state -->
          <sj:gridrow>
            <!--label.service.jtm.moni.state==State-->
            <sj:jgName>
              <bean:message key="label.service.jtm.moni.state" />
            </sj:jgName>
            <sj:jgValue>
              <bean:write name="daemonProxyClusterForm" property="state" />
            </sj:jgValue>
          </sj:gridrow>
        </sj:jonasgrid>
        <!-- monitoring case -->

        <logic:notEqual name="isNotMonitoring" value="true">
          <sj:jonasgrid>
            <!-- The clusterd jmx url-->
            <sj:gridrow>
              <!--label.url==JMX Url-->
              <sj:jgName>
                <bean:message key="label.url" />
              </sj:jgName>
              <sj:jgValue>
                <bean:write name="daemonProxyClusterForm" property="jmxUrl" />
              </sj:jgValue>
            </sj:gridrow>
            <!--Runtime informations-->
            <sj:gridrow>
              <sj:jgName>
                Spec Vendor
              </sj:jgName>
              <sj:jgValue>
                <bean:write name="daemonProxyClusterForm"
                  property="runTimeSpecVendor" />
              </sj:jgValue>
            </sj:gridrow>
            <!-- Spec Version-->
            <sj:gridrow>
              <sj:jgName>
                Spec Version
              </sj:jgName>
              <sj:jgValue>
                <bean:write name="daemonProxyClusterForm"
                  property="runTimeSpecVersion" />
              </sj:jgValue>
            </sj:gridrow>
            <!-- Vm Name-->
            <sj:gridrow>
              <sj:jgName>
                Vm Name
              </sj:jgName>
              <sj:jgValue>
                <bean:write name="daemonProxyClusterForm"
                  property="runTimeVmName" />
              </sj:jgValue>
            </sj:gridrow>
            <!-- Vm Vendor-->
            <sj:gridrow>
              <sj:jgName>
                Vm Vendor
              </sj:jgName>
              <sj:jgValue>
                <bean:write name="daemonProxyClusterForm"
                  property="runTimeVmVendor" />
              </sj:jgValue>
            </sj:gridrow>
            <!-- Vm Version-->
            <sj:gridrow>
              <sj:jgName>
                Vm Version
              </sj:jgName>
              <sj:jgValue>
                <bean:write name="daemonProxyClusterForm"
                  property="runTimeVmVersion" />
              </sj:jgValue>
            </sj:gridrow>
            <!--OS infos-->
            <sj:jgRowTitle>
              <sj:jgColTitle>
                      Operating System Informations
                </sj:jgColTitle>
            </sj:jgRowTitle>
            <!-- Available Processors-->
            <sj:gridrow>
              <sj:jgName>
                OS Name
              </sj:jgName>
              <sj:jgValue>
                <bean:write name="daemonProxyClusterForm"
                  property="operatingSystemName" />
              </sj:jgValue>
            </sj:gridrow>
            <sj:gridrow>
              <sj:jgName>
                OS Architecture
              </sj:jgName>
              <sj:jgValue>
                  X 86
              </sj:jgValue>
            </sj:gridrow>
            <sj:gridrow>
              <sj:jgName>
              OS Available Processors
              </sj:jgName>
              <sj:jgValue>
                <bean:write name="daemonProxyClusterForm"
                  property="operatingSystemAvailableProcessors" />
              </sj:jgValue>
            </sj:gridrow>
            <!-- OS version-->
            <sj:gridrow>
              <sj:jgName>
                OS version
              </sj:jgName>
              <sj:jgValue>
                <bean:write name="daemonProxyClusterForm"
                  property="operatingSystemVersion" />
              </sj:jgValue>
            </sj:gridrow>
            <sj:jgRowTitle>
              <sj:jgColTitle>
                      Memory Informations
                </sj:jgColTitle>
            </sj:jgRowTitle>
          <sj:gridrow>
              <sj:jgName>
                Committed Virtual Memory Size
              </sj:jgName>
              <sj:jgValue>
                3000 Mo
              </sj:jgValue>
            </sj:gridrow>

            <sj:gridrow>
              <sj:jgName>
                Free Physical Memory Size
              </sj:jgName>
              <sj:jgValue>
                1000 Mo
              </sj:jgValue>
            </sj:gridrow>
            <sj:gridrow>
              <sj:jgName>
                Free Swap Space Size
              </sj:jgName>
              <sj:jgValue>
                800 Mo
              </sj:jgValue>
            </sj:gridrow>

            <sj:gridrow>
              <sj:jgName>
                Total Swap Space
              </sj:jgName>
              <sj:jgValue>
                1000 Mo
              </sj:jgValue>
            </sj:gridrow>
          </sj:jonasgrid>
        </logic:notEqual>
        <!-- servers action zone -->
        <!-- it's not monitoring case -->
        <logic:equal name="isNotMonitoring" value="true">
          <sj:jonasgrid>
            <sj:jgRowTitle level="2">
              <!-- title.domain.action==action -->
              <sj:jgColTitle>
                <bean:message key="title.domain.action" />
              </sj:jgColTitle>
            </sj:jgRowTitle>
          </sj:jonasgrid>
          <sj:panelSeparator />
          <sj:jonasgrid>
            <sj:gridrow changeStyle="true">
              <sj:gridcol>
                <sj:grid cellPadding="10">
                  <sj:gridrow>
                    <sj:gridcol>
                      <!-- action.button.domain.add.server==Adserver -->
                      <sj:jonasbutton forward="ActionCreateJonasServer"
                        disabled="false" paramId="CdName" paramName="cdName">
                        <bean:message key="action.button.domain.add.server" />
                      </sj:jonasbutton>
                    </sj:gridcol>
                    <sj:gridcol>
                      <!-- action.button.domain.remove.server==RemoveServer -->
                      <sj:jonasbutton
                        href="javascript:submitHidden('itemsServersForm','action','remove')"
                        disabled="false">
                        <bean:message key="action.button.domain.remove.server" />
                      </sj:jonasbutton>
                    </sj:gridcol>
                    <sj:gridcol>
                      <!-- action.button.domain.start.cluster==Start All -->
                      <logic:equal name="allStarted" value="true">
                        <sj:jonasbutton forward="ActionStartAllJonasServers"
                          disabled="true">
                          <bean:message key="action.button.domain.start.cluster" />
                        </sj:jonasbutton>
                      </logic:equal>
                      <logic:notEqual name="allStarted" value="true">
                        <sj:jonasbutton forward="ActionStartAllJonasServers"
                          disabled="false" paramId="node" paramName="cdName">
                          <bean:message key="action.button.domain.start.cluster" />
                        </sj:jonasbutton>
                      </logic:notEqual>
                    </sj:gridcol>
                    <sj:gridcol>
                      <!-- action.button.domain.stop.cluster==Stop All -->
                      <logic:equal name="noneStarted" value="true">
                        <sj:jonasbutton forward="ActionStopAllJonasServers"
                          disabled="true" paramId="node" paramName="cdName">
                          <bean:message key="action.button.domain.stop.cluster" />
                        </sj:jonasbutton>
                      </logic:equal>
                      <!--disable stop all when no server is started-->
                      <logic:notEqual name="noneStarted" value="true">
                        <sj:jonasbutton forward="ActionStopAllJonasServers"
                          disabled="false" paramId="node" paramName="cdName">
                          <bean:message key="action.button.domain.stop.cluster" />
                        </sj:jonasbutton>
                      </logic:notEqual>
                    </sj:gridcol>
                    <sj:gridcol>
                      <!-- action.button.domain.ping.cluster==Ping All -->
                      <sj:jonasbutton forward="ActionPingAllJonasServers"
                        disabled="false" paramId="node" paramName="cdName"
                        disabled="true">
                        <bean:message key="action.button.domain.ping.cluster" />
                      </sj:jonasbutton>
                    </sj:gridcol>
                  </sj:gridrow>
                </sj:grid>
              </sj:gridcol>
            </sj:gridrow>
          </sj:jonasgrid>
        </logic:equal>
        <!--The Servers List-->
        <sj:jonasgrid>
          <sj:jgRowTitle level="2">
            <!-- title.domain.action==action -->
            <sj:jgColTitle>
              <bean:message key="label.domain.servers" />
            </sj:jgColTitle>
          </sj:jgRowTitle>
        </sj:jonasgrid>
        <sj:panelSeparator />
        <bean:size id="listSize" name="listServers" />
        <!-- servers list -->
        <sj:jonasgrid>
          <logic:equal name="listSize" value="0">
            <bean:message key="message.domain.servers.none" />
          </logic:equal>
          <logic:notEqual name="listSize" value="0">
            <logic:iterate id="item" name="listServers">
              <sj:gridrow>
                <!--The multibox would be used to remove the server if it's not running-->
                <logic:equal name="isNotMonitoring" value="true">
                  <logic:notEqual name="item" property="state" value="RUNNING">
                    <sj:gridcol width="5%">
                      <html:multibox property="selectedItems">
                        <bean:write name="item" property="name" />
                      </html:multibox>
                    </sj:gridcol>
                  </logic:notEqual>
                </logic:equal>
                <sj:gridcol width="5%">
                  <!-- here we write the server name -->
                  <bean:write name="item" property="name" />
                </sj:gridcol>
                <sj:gridcol>
                  <bean:write name="item" property="state" />
                </sj:gridcol>
                <!--is the server in the clusterd.xml ? -->
                <sj:gridcol>
                  <logic:equal name="item" property="isInCdConfig" value="true">
                    <bean:message key="message.cd.present.config.server.true" />
                  </logic:equal>
                </sj:gridcol>
                <logic:notEmpty name="item" property="clusterDaemonName">
                  <sj:gridcol>
                    <bean:define id="serverName" name="item" property="name" />
                    <logic:equal name="item" property="state" value="RUNNING">
                      <sj:jonasbutton forward="ActionStopJonasServerCd"
                        paramId="name" paramName="serverName">
                        <bean:message key="action.button.domain.stop.server" />
                      </sj:jonasbutton>
                    </logic:equal>
                    <logic:equal name="item" property="state" value="STOPPED">
                      <sj:jonasbutton forward="ActionStartJonasServerCd"
                        paramId="name" paramName="serverName">
                        <bean:message key="action.button.domain.start.server" />
                      </sj:jonasbutton>
                    </logic:equal>
                  </sj:gridcol>
                </logic:notEmpty>
              </sj:gridrow>
            </logic:iterate>
          </logic:notEqual>
        </sj:jonasgrid>
        <!-- end logic equal clusterd state RUNNING-->
      </logic:equal>
      <logic:notEqual name="daemonProxyClusterForm" property="state"
        value="RUNNING">
        <!--label.service.jtm.moni.state==State-->
        <sj:jonasgrid>
          <sj:gridrow>
            <sj:jgName>
              <bean:message key="label.service.jtm.moni.state" />
            </sj:jgName>
            <sj:jgValue>
              <bean:write name="daemonProxyClusterForm" property="state" />
            </sj:jgValue>
          </sj:gridrow>
        </sj:jonasgrid>
      </logic:notEqual>
    </sj:panel>
  </sj:tabs>
</html:form>
<%@ include file="../common/end.jsp"%>
</body>
</html:html>
