<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ page import="org.apache.struts.Globals"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<html:form action="/ApplyJonasServersClusterDaemon">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionEditDomain"><bean:message key="tab.domain"/></sj:tab>
  <sj:tab forward="ActionCreateJonasServer" selected="true"><bean:message key="tab.cd.server.add"/></sj:tab>
  <input name="action" type="hidden" value="add"/>
  <bean:size id="listSize" name="freeServersList"/>
  <sj:panel>
  <logic:equal name="listSize" value="0">
        <bean:message key="message.domain.clds.free.none"/>
  </logic:equal>
  <logic:notEqual name="listSize" value="0">
    <sj:jonasgrid>
    <!--Iterating on servers list-->
    <logic:iterate id="item" name="freeServersList">
      <sj:gridrow>
        <sj:gridcol width="20%">
                  <html:multibox property="selectedItems">
                      <bean:write name="item" property="name"/>
                  </html:multibox>
                <!-- here we write the server name -->
                     <bean:write name="item" property="name"/>
        </sj:gridcol>
        <!--Writting the server state-->
        <sj:gridcol>
          <bean:write name="item" property="state"/>
        </sj:gridcol>
        <logic:notEqual name="item" property="state" value="RUNNING">
        <!--if the server is not RUNNING-->
        <sj:gridcol>
        <!--link to the server configuration page-->
            <html:link forward="ActionDaemonProxyClusterConfigureServer" styleClass="panel"
                    paramId="server" paramName="item" paramProperty="name">
                <bean:write name="item" property="name"/>
            </html:link>
        </sj:gridcol>
      </sj:gridrow>
  </logic:iterate>
    </sj:jonasgrid>
    <sj:panelSeparator/>
    <sj:jonasgrid globalRowStyleClass="panel">
      <sj:gridrow>
        <sj:gridcol>
      <sj:gridcol>
          <!--Adding the checked servers-->
          <sj:jonasbutton href="javascript:submitHidden('itemsServersForm','action','add')" disabled="false"  styleClass="button">
            <bean:message key="action.button.domain.remove.server"/>
          </sj:jonasbutton>
      </sj:gridcol>
        </sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>
    <logic:present name="<%=Globals.ERROR_KEY%>">
      <sj:jonasgrid>
        <sj:gridrow styleClass="errors">
          <sj:gridcol styleClass="errors"><html:errors/></sj:gridcol>
        </sj:gridrow>
      </sj:jonasgrid>
      <sj:panelSeparator/>
    </logic:present>
   </logic:notEqual >
  </sj:panel>
</sj:tabs>
</html:form>
<%@ include file="../common/end.jsp" %>
</body>
</html:html>